View Issue Details

IDProjectCategoryView StatusLast Update
0000254FreeCADBugpublic2011-02-07 08:53
ReporterunauthenticatedAssigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.10 
Target VersionFixed in Version0.11 
Summary0000254: Attempt to subtract one torus from another crashes or hangs FreeCAD
DescriptionFollowing fragment hangs or crashes FreeCAD 0.9 and 0.10 (on recompute)

App.ActiveDocument.addObject("Part::Torus","Torus1")
App.ActiveDocument.Torus1.Angle3 = 90.00
App.ActiveDocument.Torus1.Radius1 = 13.75
App.ActiveDocument.Torus1.Radius2 = 10.00

App.ActiveDocument.addObject("Part::Torus","Torus2")
App.ActiveDocument.Torus2.Angle3 = 90.00
App.ActiveDocument.Torus2.Radius1 = 13.75
App.ActiveDocument.Torus2.Radius2 = 13.75

App.activeDocument().addObject("Part::Cut","Cut1")
App.activeDocument().Cut1.Base = App.activeDocument().Torus2
App.activeDocument().Cut1.Tool = App.activeDocument().Torus1
Gui.activeDocument().hide("Torus1")
Gui.activeDocument().hide("Torus2")

App.activeDocument().recompute()
Additional InformationKey factor is the equivalence of Radius1 and Radius2 of external torus. With lesser second radius

App.ActiveDocument.Torus2.Radius2 = 13.74

subtraction works fine.


TagsNo tags attached.

Activities

wmayer

2011-02-07 08:53

administrator   ~0000581

I can confirm this bug also in version 0.11. Since it's a fatal error deep inside OCC we have to handle with special signal handlers.


Fixed in rev. 4023

Issue History

Date Modified Username Field Change
2011-02-07 07:37 unauthenticated New Issue
2011-02-07 08:53 wmayer Note Added: 0000581
2011-02-07 08:53 wmayer Status new => closed
2011-02-07 08:53 wmayer Resolution open => fixed
2011-02-07 08:53 wmayer Fixed in Version => 0.11